Bug 479538 - Going to http://isc.sans.org causes RSS to jump to about 250 MB
Going to http://isc.sans.org causes RSS to jump to about 250 MB
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-10 16:42 EST by ArjenDragt
Modified: 2018-04-11 08:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: firefox-3.0.5-1.fc10.i386
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:34:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ArjenDragt 2009-01-10 16:42:07 EST
Description of problem:
With a fully up to date Fedora 10 (i686) system, Firefox will use somewhere between 250 and 300 MB (RSS) when browsing to http://isc.sans.org.  There may be other sites that cause the same thing to occur.  So far I am not aware of any.

Firefox available directly from http://www.mozilla.com does not do this.  In that case, memory will spike momentarily but will then drop back down to a reasonable level.


Version-Release number of selected component (if applicable):


How reproducible:
Start Firefox.  Browse to isc.sans.org.  Look at memory usage of Firefox.  Tested on a few systems all with the same basic build.  Browsing to a different site (anything else) does NOT free up the memory.


Steps to Reproduce:
1. Launch Firefox
2. Go to isc.sans.org
3. Look at memory usage
  
Actual results:
Memory very high.

Expected results:
Memory use retained at a reasonable level.

Additional info:
Comment 1 Matěj Cepl 2009-01-10 19:24:11 EST
With firefox-3.0.5-1.fc10.i386 I cannot reproduce this anymore.
Comment 2 ArjenDragt 2009-01-11 16:02:26 EST
Agreed.  It is still jumping (on my machine) up to about 120 MB RSS.  But that is reasonable.   Thanks.
Comment 3 Matěj Cepl 2009-01-12 06:21:53 EST
You're very welcome. Thanks for letting us know.
Comment 4 ArjenDragt 2009-01-13 17:56:11 EST
Re-opening.

On a fully patched Fedora 10 system when I run with the Firefox package as supplied by Fedora, it jumps to 150MB+ RSS memory usage after going to isc.sans.org.  That RAM usage does not drop down when moving away to other sites.

When I run the Firefox from mozilla.com, it jumps a bit when going to isc.sans.org (about 120MB) but then drops down when I move away to other sites.  It looks like the Fedora supplied build is holding some things in memory that the Mozilla build is not.
Comment 5 Bug Zapper 2009-11-18 05:43:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:34:05 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.